//
//  SuggestNode.swift
//  TextureSample
//
//  Created by Heberti Almeida on 2017-10-18.
//  Copyright © 2017 Heberti Almeida. All rights reserved.
//

import UIKit
import AsyncDisplayKit

final class SuggestNode: ASDisplayNode {
    let textNode = ASEditableTextNode()

    override init() {
        super.init()
        automaticallyManagesSubnodes = true

        textNode.attributedText = NSAttributedString(string: "Some text for test", attributes: [.font: UIFont.systemFont(ofSize: 17), .foregroundColor: UIColor.gray])
    }

    // MARK: Layout

    override func layoutSpecThatFits(_ constrainedSize: ASSizeRange) -> ASLayoutSpec {
        return ASInsetLayoutSpec(insets: UIEdgeInsets(top: 15, left: 15, bottom: 15, right: 15), child: textNode)
    }
}
