//
//  SuggestViewController.swift
//  TextureSample
//
//  Created by Heberti Almeida on 2017-10-18.
//  Copyright © 2017 Heberti Almeida. All rights reserved.
//

import UIKit
import AsyncDisplayKit

final class SuggestViewController: ASViewController<ASDisplayNode> {
    var suggestNode: SuggestNode { return node as! SuggestNode }

    init() {
        super.init(node: SuggestNode())
    }

    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        edgesForExtendedLayout = []

        let button = UIBarButtonItem(title: "Dismiss", style: .plain, target: self, action: #selector(dismissVC))
        navigationItem.leftBarButtonItem = button
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        suggestNode.textNode.becomeFirstResponder()
    }

    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        suggestNode.textNode.resignFirstResponder()
    }

    @objc func dismissVC() {
        dismiss(animated: true, completion: nil)
    }
}
